# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define base_name  io
%global short_name commons-%{base_name}
%global eap6_name %{short_name}-eap6

%define section    free

%define reltag redhat_1
%define namedreltag -redhat-1
%global namedversion %{version}%{?namedreltag}

%define maven_version 2.1-0.4_redhat_1.ep6.el6

Name:           apache-commons-io-eap6
Version:        2.1
Release:        4.%{?reltag}%{?dist}
Epoch:          0
Summary:        Apache Commons IO Package
License:        ASL 2.0
Group:          Development/Libraries/Java

%if %with mead
Source102: commons-io-repolib-2.1-redhat-1.pom
Source103: commons-io-repolib-2.1-redhat-1-sources.zip
Source104: commons-io-repolib-2.1-redhat-1-patches.zip
Source105: commons-io-2.1-redhat-1.pom
Source106: commons-io-2.1-redhat-1.jar
%endif

URL:            http://commons.apache.org/io/

BuildRequires:  jpackage-utils

Requires:       java >= 0:1.6.0
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Commons-IO contains utility classes, stream implementations, 
file filters, and endian classes.
This package is for EAP6 use only -- see regular commons-io package.

%prep

%build

%install
rm -rf %{buildroot}

##DEBUG
ls -l %{_sourcedir}

# jars
mkdir -p %{buildroot}%{_javadir}/%{eap6_name}
cp -p %{_sourcedir}/%{short_name}-%{namedversion}.jar \
      %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-%{namedversion}.jar

ln -s %{short_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}.jar

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{eap6_name}/%{short_name}-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/%{short_name}.jar


%changelog
* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-4.redhat_1
- Clean MANIFEST.MF

* Fri Apr 27 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-3.redhat_1
- Include sources in SRPM

* Wed Apr 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1-1.redhat_1
- EAP6 Wrapper of apache-commons-io

